public class HT_infinite_walln
{
public static void main(String arg[])
{
double alpha=4.962779e-7;
double x=0.1;
double t=3600.0;
double eta=x/Math.sqrt(4.0*alpha*t);
double erfeta=Mathd.erf(eta);
double Ts=100.0;
double Ti=20;
double T=Ts+(Ti-Ts)*erfeta;
System.out.println("T="+T+"x="+x+"t="+t+"alpha="+alpha+"eta="+eta+"erfeta="+erfeta);
}
}